scala.tools.nsc.backend.icode.TypeKinds

# FLOAT

#### object FLOAT extends ICodes.ValueTypeKind with Product with Serializable

A 4-byte floating point number

Source
  TypeKinds.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, ICodes.ValueTypeKind, ICodes.TypeKind, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FLOAT
2. Serializable
3. Serializable
4. Product
5. Equals
6. ValueTypeKind
7. TypeKind
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def <:<(other: ICodes.TypeKind): Boolean

   Simple subtyping check

   Simple subtyping check

   Definition Classes
     ValueTypeKind → TypeKind

4. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def dimensions: Int

   The number of dimensions for array types.

   The number of dimensions for array types.

   Definition Classes
     TypeKind

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def isArrayType: Boolean

    Definition Classes
      TypeKind

13. #### final def isAssignabledTo(other: ICodes.TypeKind): Boolean

    this is directly assignable to other if no coercion or casting is needed to convert this to other.

    this is directly assignable to other if no coercion or casting is needed to convert this to other. It's a distinct relationship from <:< because on the JVM, BOOL, BYTE, CHAR, SHORT need no coercion to INT even though JVM arrays are covariant, ARRAY[SHORT] is not a subtype of ARRAY[INT]

    Definition Classes
      TypeKind

14. #### def isBoxedType: Boolean

    Definition Classes
      TypeKind

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isIntSizedType: Boolean

    On the JVM, BOOL, BYTE, CHAR, SHORT, and INT are like Ints for the purposes of calculating the lub.

    On the JVM, BOOL, BYTE, CHAR, SHORT, and INT are like Ints for the purposes of calculating the lub.

    Definition Classes
      TypeKind

17. #### def isIntegralType: Boolean

    On the JVM, similar to isIntSizedType except that BOOL isn't integral while LONG is.

    On the JVM, similar to isIntSizedType except that BOOL isn't integral while LONG is.

    Definition Classes
      TypeKind

18. #### final def isInterfaceType: Boolean

    Definition Classes
      TypeKind

19. #### final def isNothingType: Boolean

    Definition Classes
      TypeKind

20. #### final def isNullType: Boolean

    Definition Classes
      TypeKind

21. #### final def isNumericType: Boolean

    Definition Classes
      TypeKind

22. #### def isRealType: Boolean

    On the JVM, FLOAT and DOUBLE.

    On the JVM, FLOAT and DOUBLE.

    Definition Classes
      FLOAT → TypeKind

23. #### final def isRefOrArrayType: Boolean

    Definition Classes
      TypeKind

24. #### def isReferenceType: Boolean

    Definition Classes
      TypeKind

25. #### def isValueType: Boolean

    Definition Classes
      ValueTypeKind → TypeKind

26. #### def isWideType: Boolean

    Is this type a category 2 type in JVM terms? (ie, is it LONG or DOUBLE?)

    Is this type a category 2 type in JVM terms? (ie, is it LONG or DOUBLE?)

    Definition Classes
      TypeKind

27. #### def maxType(other: ICodes.TypeKind): ICodes.TypeKind

    Definition Classes
      FLOAT → TypeKind

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      ValueTypeKind → AnyRef → Any

33. #### def toType: Global.Type

    Definition Classes
      TypeKind

34. #### def uncomparable(other: ICodes.TypeKind): Nothing

    Attributes
      protected
    Definition Classes
      TypeKind

35. #### def uncomparable(thisKind: String, other: ICodes.TypeKind): Nothing

    Attributes
      protected
    Definition Classes
      TypeKind

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ICodes.ValueTypeKind

### Inherited from ICodes.TypeKind

### Inherited from AnyRef

### Inherited from Any

### Ungrouped